/**
 * 项目业务相关的通用的函数，放在这里
 * 
 * 1. 常量全部用大写
 * 2. 通用的业务函数和业务变量，用驼峰格式命名
 */
import widget from '@/uni_modules/js/widget'
export default {
	// 用户会员类别枚举
	MEMBERSHIP: {
		ALL: 1,  // 终身会员
		YEAR: 2,  // 年度会员
		MONTH: 3  // 月度会员
	},
	
	// 定义所有的localstorage的key值
	STORAGE: {
		IS_PAID: "__IS_PAID", // 是否已经支付，bool变量
		MEMBER_PERIOD: "__MEMBER_PERIOD", // 会员的周期类别，代表终身，2代表年，
		IS_FIRST_CANCEL_PAYMENT_DIALOG: "__IS_FIRST_CANCEL_PAYMENT_DIALOG", // 是否是第一次取消掉支付的弹窗，如果是，会出现红包逻辑,
		IS_FIRST_AGREE_AGREEMENT:"__IS_FIRST_AGREE_AGREEMENT", //是否第一次同意协议
		USER_SELECT_EARTH_TYPE:"__USER_SELECT_EARTH_TYPE", //选择的地球图层
		AI_SELECT_TAB_INDEX:"__AI_SELECT_TAB_INDEX",//用户在AI页选中的tab
		IS_AGREE_AGREEMENT:"_IS_AGREE_AGREEMENT"
	},
	
	/**********************************************************************/
	/*              以下是该业务自己特有的，且可以公用的函数                 */
	/*********************************************************************/
	
	/**
	 * 获得用户支付的会员内容
	 * 包括会员的：
	 * - 类型
	 * - 支付价格
	 * - 到期时间
	 * - 是否已经支付
	 */
	getVipPaidStatus() {
		
	},
	
	/**
	 * 判断会员是否过期
	 */
	isVipExpired() {
		
	},
	
	/**
	 * 设置用户支付的会员状态
	 * 
	 * 
	 */
	setVipPaidStatus(membershipType, membershipText, membershipTime) {
		getApp().globalData.isPaid = true;
		widget.storage.setStorageSync(this.STORAGE.IS_PAID, true, membershipTime);
	},
	
	isGetLocationPermission() {
		return widget.storage.getStorageSync('__is_get_location_permission');
	},
	
	setLocationPermission() {
		widget.storage.setStorageSync('__is_get_location_permission', true);
	}
}