import Rpc from "@/uni_modules/js/rpc.js"
import Constant from "@/uni_modules/js/constant.js"

export default {
	/**
	 * 获得第二次购买的订单
	 */
	async getSecondPayConfig() {
		return Rpc.getRemoteVarPromise({
			key: "SKUS_vrSku",
			cache: Constant.MINUTE_5
		});
	},
	/**
	 * 获得该App中重要的文案，以便云端可以修改
	 */
	async getTextConfig() {
		return Rpc.getRemoteVarPromise({
			key: "CONFIG_textConfig",
			cache: Constant.MINUTE_5
		});
	},
	/**
	 * 获得金豆购买地址列表
	 */
	async getBeansList() {
		return Rpc.getRemoteVarPromise({
			key: "SKUS_beansList",
			cache: Constant.MINUTE_1
		});
	},
	/**
	 * 获得城市列表
	 */
	async getCityList() {
		return Rpc.getRemoteVarPromise({
			key: "CONFIG_hotCitys"
		});
	},
	/**
	 * 获得vr城市列表
	 */
	async getVrList(){
		return Rpc.getRemoteVarPromise({
			key:"CONFIG_worldVrPlaces"
		})
	},
	
	/**
	 * 获得大转盘的礼物列表
	 */
	async getGiftList() {
		return Rpc.getRemoteVarPromise({
			key: "SKUS_giftList",
			cache: Constant.DAY_1
		});
	},
	
	/**
	 * 获得会员的支付SKU列表，缓存1小时
	 */
	async getVipSkuList() {
		return Rpc.getRemoteVarPromise({
			key: "SKUS_vipSkuList",
			cache: Constant.HOUR_1
		});
	},
	
	/**
	 * 获得GPT的例子
	 */
	async getGptExampleList() {
		return Rpc.getRemoteVarPromise({
			key: "CONFIG_gptExample",
			cache: Constant.DAY_1
		});
	}
}